# ColorArray Class Reference
[CAPTCHA's implementation]

List of all members.

## Public Member Functions

| add (Color $color)
| clear ()
| getRandomTextColor ()
| getColors ()
| isEmpty ()

## Private Attributes

| $colors = array()

## Detailed Description

Definition at line 15 of file ColorArray.class.php.

## Member Function Documentation

ColorArray::add | ( | Color $ | color | ) |

Returns:
  ColorArray

Definition at line 22 of file ColorArray.class.php.

ColorArray::clear | ( |  | ) |

Returns:
  ColorArray

Definition at line 32 of file ColorArray.class.php.

ColorArray::getColors | ( |  | ) |

Definition at line 51 of file ColorArray.class.php.

ColorArray::getRandomTextColor | ( |  | ) |

Exceptions:

  | MissingElementException |

Returns:
  Color

Definition at line 43 of file ColorArray.class.php.

References isEmpty().

Here is the call graph for this function:

ColorArray::isEmpty | ( |  | ) |

Definition at line 56 of file ColorArray.class.php.

Referenced by getRandomTextColor().

## Member Data Documentation

ColorArray::$colors = array()`[private]`

Definition at line 17 of file ColorArray.class.php.

The documentation for this class was generated from the following file:

- main/Utils/TuringTest/ColorArray.class.php